package com.ruoyi.ai.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiRechargeGift;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 充值赠送活动Service接口
 * 
 * @author shi
 * @date 2025-11-20
 */
public interface IAiRechargeGiftService {

    /**
     * 查询充值赠送活动
     * 
     * @param id 充值赠送活动主键
     * @return 充值赠送活动
     */
    AiRechargeGift selectAiRechargeGiftById(Long id);

    /**
     * 查询充值赠送活动列表
     * 
     * @param aiRechargeGift 充值赠送活动
     * @return 充值赠送活动集合
     */
    List<AiRechargeGift> selectAiRechargeGiftList(AiRechargeGift aiRechargeGift);

    /**
     * 分页查询充值赠送活动列表
     *
     * @param aiRechargeGift 充值赠送活动
     * @return 充值赠送活动集合
     */
    IPage<AiRechargeGift> selectAiRechargeGiftPage(Page page, AiRechargeGift aiRechargeGift);

    /**
     * 新增充值赠送活动
     * 
     * @param aiRechargeGift 充值赠送活动
     * @return 结果
     */
    int insertAiRechargeGift(AiRechargeGift aiRechargeGift);

    /**
     * 修改充值赠送活动
     * 
     * @param aiRechargeGift 充值赠送活动
     * @return 结果
     */
    int updateAiRechargeGift(AiRechargeGift aiRechargeGift);

    /**
     * 批量删除充值赠送活动
     * 
     * @param ids 需要删除的充值赠送活动主键集合
     * @return 结果
     */
    int deleteAiRechargeGiftByIds(Long[] ids);

    /**
     * 删除充值赠送活动信息
     * 
     * @param id 充值赠送活动主键
     * @return 结果
     */
    int deleteAiRechargeGiftById(Long id);

    int changeUserStatus(AiRechargeGift aiRechargeGift);

    boolean isActivityAvailable(Long rechargeId);
}
